Remove target="_blank" link from webservices OAuth page

Bug #1561239 reported by Aaron Wells on 2016-03-23
256
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Aaron Wells
15.04
Medium
Aaron Wells
15.10
Medium
Aaron Wells
16.04
Medium
Aaron Wells
16.10
Medium
Aaron Wells

Bug Description

One item that got overlooked while resolving Bug 1558361, was a target="_blank" link in the webservices OAuth page. This is the code that pops up if Mahara is being used as an OAuth provider, and the link in question leads back to the application that the request is coming from. So, in this circumstance it may be handy to have it open in a new window, but it's not required. So for security reasons, it would be best to remove it.

Aaron Wells (u-aaronw) on 2016-04-28
information type: Private Security → Public Security

Reviewed: https://reviews.mahara.org/6270
Committed: https://git.mahara.org/mahara/mahara/commit/f28b3a631f2ee2bb34da4fe13225a8bb40cbfd92
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit f28b3a631f2ee2bb34da4fe13225a8bb40cbfd92
Author: Aaron Wells <email address hidden>
Date: Thu Mar 24 11:55:35 2016 +1300

Remove target="_blank" link from Oauth webservices page

Bug 1561239

Change-Id: I3efca1f6985621af9ae279b75f65a072269f3332

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6417

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6418

Reviewed: https://reviews.mahara.org/6417
Committed: https://git.mahara.org/mahara/mahara/commit/9b5fc4d07459ce4295ccc7a157cc0703733bc415
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 9b5fc4d07459ce4295ccc7a157cc0703733bc415
Author: Aaron Wells <email address hidden>
Date: Thu Mar 24 11:55:35 2016 +1300

Remove target="_blank" link from Oauth webservices page

Bug 1561239

behatnotneeded

Change-Id: I3efca1f6985621af9ae279b75f65a072269f3332
(cherry picked from commit f28b3a631f2ee2bb34da4fe13225a8bb40cbfd92)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6418
Committed: https://git.mahara.org/mahara/mahara/commit/4ce58ef0e6969dbeb7e0bf83ec698274a936060f
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit 4ce58ef0e6969dbeb7e0bf83ec698274a936060f
Author: Aaron Wells <email address hidden>
Date: Thu Mar 24 11:55:35 2016 +1300

Remove target="_blank" link from Oauth webservices page

Bug 1561239

behatnotneeded

Change-Id: I3efca1f6985621af9ae279b75f65a072269f3332
(cherry picked from commit f28b3a631f2ee2bb34da4fe13225a8bb40cbfd92)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6416
Committed: https://git.mahara.org/mahara/mahara/commit/fa9ce1dda84716116ae781e3fda65e1db0784f7b
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit fa9ce1dda84716116ae781e3fda65e1db0784f7b
Author: Aaron Wells <email address hidden>
Date: Thu Mar 24 11:55:35 2016 +1300

Remove target="_blank" link from Oauth webservices page

Bug 1561239

behatnotneeded

Change-Id: I3efca1f6985621af9ae279b75f65a072269f3332
(cherry picked from commit f28b3a631f2ee2bb34da4fe13225a8bb40cbfd92)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public Security information  Edit
Everyone can see this security related information.

Other bug subscribers